diff -urN openh323.orig/Makefile openh323/Makefile
--- openh323.orig/Makefile	Sat Feb 19 11:21:18 2005
+++ openh323/Makefile	Sat Feb 19 11:42:47 2005
@@ -7,7 +7,7 @@
 
 PORTNAME=	openh323
 PORTVERSION=	1.12.0
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	net
 MASTER_SITES=	http://www.openh323.org/bin/ \
 		http://www.de.openh323.org/bin/ \
diff -urN openh323.orig/files/patch-include+h263codec.h openh323/files/patch-include+h263codec.h
--- openh323.orig/files/patch-include+h263codec.h	Thu Jan  1 01:00:00 1970
+++ openh323/files/patch-include+h263codec.h	Sat Feb 19 11:39:24 2005
@@ -0,0 +1,19 @@
+--- include/h263codec.h.orig	Sat Feb 19 11:29:15 2005
++++ include/h263codec.h	Sat Feb 19 11:38:52 2005
+@@ -92,6 +92,7 @@
+ struct AVCodec;
+ struct AVCodecContext;
+ struct AVFrame;
++struct AVCodecParserContext;
+ 
+ ///////////////////////////////////////////////////////////////////////////////
+ 
+@@ -478,7 +479,7 @@
+        send. Note that for every encode thread, this 1 method is called. Consequently, 
+        code is required to separate out packets from different encode threads.
+     */
+-    static void RtpCallback(void *data, int size, int packetNumber);
++    static void RtpCallback(AVCodecContext *s, void *data, int size, int packetNumber);
+ 
+   protected:
+     BOOL Resize(int width, int height);
diff -urN openh323.orig/files/patch-src+OpenH323.dtf openh323/files/patch-src+OpenH323.dtf
--- openh323.orig/files/patch-src+OpenH323.dtf	Thu Jan  1 01:00:00 1970
+++ openh323/files/patch-src+OpenH323.dtf	Sat Feb 19 11:36:39 2005
@@ -0,0 +1,11 @@
+--- src/OpenH323.dtf.orig	Sat Feb 19 11:23:59 2005
++++ src/OpenH323.dtf	Sat Feb 19 11:25:00 2005
+@@ -23073,7 +23073,7 @@
+     ?RingLine@OpalLineInterfaceDevice@@UAEHIK@Z @12182 NONAME ;public: virtual int __thiscall OpalLineInterfaceDevice::RingLine(unsigned int,unsigned long)
+     ?RingLine@OpalVoipBlasterDevice@@UAEHIK@Z @20048 NONAME ;public: virtual int __thiscall OpalVoipBlasterDevice::RingLine(unsigned int,unsigned long)
+     ?ROWZAG@@3QBEB @12183 NONAME ;unsigned char const * const  ROWZAG
+-    ?RtpCallback@H323_H263Codec@@SAXPAXHH@Z @26507 NONAME ;public: static void __cdecl H323_H263Codec::RtpCallback(void *,int,int)
++    ?RtpCallback@H323_H263Codec@@SAXPAXHH@Z @26507 NONAME ;public: static void __cdecl H323_H263Codec::RtpCallback(AVCodecContext *,void *,int,int)
+     ?saveblks@Pre_Vid_Coder@@IAEXPAE@Z @12184 NONAME ;protected: void __thiscall Pre_Vid_Coder::saveblks(unsigned char *)
+     ?SelectDefaultLogicalChannel@H323Connection@@UAEXI@Z @12185 NONAME ;public: virtual void __thiscall H323Connection::SelectDefaultLogicalChannel(unsigned int)
+     ?SelectFastStartChannels@H323Connection@@UAEXIHH@Z @12791 NONAME ;public: virtual void __thiscall H323Connection::SelectFastStartChannels(unsigned int,int,int)
diff -urN openh323.orig/files/patch-src+OpenH323d.dtf openh323/files/patch-src+OpenH323d.dtf
--- openh323.orig/files/patch-src+OpenH323d.dtf	Thu Jan  1 01:00:00 1970
+++ openh323/files/patch-src+OpenH323d.dtf	Sat Feb 19 11:36:52 2005
@@ -0,0 +1,11 @@
+--- src/OpenH323d.dtf.orig	Sat Feb 19 11:25:40 2005
++++ src/OpenH323d.dtf	Sat Feb 19 11:26:27 2005
+@@ -29709,7 +29709,7 @@
+     ?RingLine@OpalLineInterfaceDevice@@UAEHIK@Z @16774 NONAME ;public: virtual int __thiscall OpalLineInterfaceDevice::RingLine(unsigned int,unsigned long)
+     ?RingLine@OpalVoipBlasterDevice@@UAEHIK@Z @29808 NONAME ;public: virtual int __thiscall OpalVoipBlasterDevice::RingLine(unsigned int,unsigned long)
+     ?ROWZAG@@3QBEB @16775 NONAME ;unsigned char const * const  ROWZAG
+-    ?RtpCallback@H323_H263Codec@@SAXPAXHH@Z @38109 NONAME ;public: static void __cdecl H323_H263Codec::RtpCallback(void *,int,int)
++    ?RtpCallback@H323_H263Codec@@SAXPAXHH@Z @38109 NONAME ;public: static void __cdecl H323_H263Codec::RtpCallback(AVCodecContext *,void *,int,int)
+     ?SameSize@Encoder@@IAEHPBVVideoFrame@@@Z @16776 NONAME ;protected: int __thiscall Encoder::SameSize(class VideoFrame const *)
+     ?save@Pre_Vid_Coder@@IAEXPAE0H@Z @16777 NONAME ;protected: void __thiscall Pre_Vid_Coder::save(unsigned char *,unsigned char *,int)
+     ?saveblks@Pre_Vid_Coder@@IAEXPAE@Z @16778 NONAME ;protected: void __thiscall Pre_Vid_Coder::saveblks(unsigned char *)
diff -urN openh323.orig/files/patch-src+OpenH323n.dtf openh323/files/patch-src+OpenH323n.dtf
--- openh323.orig/files/patch-src+OpenH323n.dtf	Thu Jan  1 01:00:00 1970
+++ openh323/files/patch-src+OpenH323n.dtf	Sat Feb 19 11:37:06 2005
@@ -0,0 +1,11 @@
+--- src/OpenH323n.dtf.orig	Sat Feb 19 11:25:47 2005
++++ src/OpenH323n.dtf	Sat Feb 19 11:26:53 2005
+@@ -15904,7 +15904,7 @@
+     ?RingLine@OpalLineInterfaceDevice@@UAEHIK@Z @8723 NONAME ;public: virtual int __thiscall OpalLineInterfaceDevice::RingLine(unsigned int,unsigned long)
+     ?RingLine@OpalVoipBlasterDevice@@UAEHIK@Z @13722 NONAME ;public: virtual int __thiscall OpalVoipBlasterDevice::RingLine(unsigned int,unsigned long)
+     ?ROWZAG@@3QBEB @8724 NONAME ;unsigned char const * const  ROWZAG
+-    ?RtpCallback@H323_H263Codec@@SAXPAXHH@Z @18805 NONAME ;public: static void __cdecl H323_H263Codec::RtpCallback(void *,int,int)
++    ?RtpCallback@H323_H263Codec@@SAXPAXHH@Z @18805 NONAME ;public: static void __cdecl H323_H263Codec::RtpCallback(AVCodecContext *,void *,int,int)
+     ?saveblks@Pre_Vid_Coder@@IAEXPAE@Z @8725 NONAME ;protected: void __thiscall Pre_Vid_Coder::saveblks(unsigned char *)
+     ?SelectDefaultLogicalChannel@H323Connection@@UAEXI@Z @8726 NONAME ;public: virtual void __thiscall H323Connection::SelectDefaultLogicalChannel(unsigned int)
+     ?SelectFastStartChannels@H323Connection@@UAEXIHH@Z @9303 NONAME ;public: virtual void __thiscall H323Connection::SelectFastStartChannels(unsigned int,int,int)
diff -urN openh323.orig/files/patch-src::h263codec.cxx openh323/files/patch-src::h263codec.cxx
--- openh323.orig/files/patch-src::h263codec.cxx	Sat Feb 19 11:21:14 2005
+++ openh323/files/patch-src::h263codec.cxx	Sat Feb 19 11:37:21 2005
@@ -1,7 +1,5 @@
-Index: src/h263codec.cxx
-diff -u src/h263codec.cxx.orig src/h263codec.cxx
---- src/h263codec.cxx.orig	Fri Jun  6 15:32:08 2003
-+++ src/h263codec.cxx	Sat Nov 22 23:17:45 2003
+--- src/h263codec.cxx.orig	Fri Jun  6 08:32:08 2003
++++ src/h263codec.cxx	Sat Feb 19 11:19:36 2005
 @@ -109,7 +109,7 @@
  #include "rtp.h"
  
@@ -11,3 +9,12 @@
  };
  
  
+@@ -836,7 +836,7 @@
+ }
+ 
+ 
+-void H323_H263Codec::RtpCallback(void *data, int size, int /*packetNumber*/)
++void H323_H263Codec::RtpCallback(AVCodecContext* /*s*/, void *data, int size, int /*packetNumber*/)
+ {
+   encodedPackets.AppendH263Packet(data, size);
+ }
